using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static System.Console;

namespace ConsoleApp9
{
    internal class Program
    {
        static void Main()
        {
            int n = int.Parse(ReadLine());
            int l = int.Parse(ReadLine());
            int[] niz = new int[n];
            for (int j = 0; j < niz.Length; j++)
            {
                niz[j] = int.Parse(ReadLine());
            }
            for(int j = 0;j < niz.Length; j++)
            {
                if(l >= niz[j])
                {
                    WriteLine(j + 1); break;
                }
                if(j == niz.Length - 1)
                {
                    WriteLine("-1");
                }
            }
        }
    }
}